[Pkg-virtualbox-commits] r79 - in trunk/debian: . scripts

daniel at alioth.debian.org daniel at alioth.debian.org
Thu Oct 11 08:39:45 UTC 2007


Author: daniel
Date: 2007-10-11 08:39:45 +0000 (Thu, 11 Oct 2007)
New Revision: 79

Added:
   trunk/debian/scripts/
   trunk/debian/scripts/VBox.sh
Removed:
   trunk/debian/VBox.sh
Modified:
   trunk/debian/changelog
   trunk/debian/rules
Log:
Moving debian/VBox.sh to debian/scripts/VBox.sh for consistency reasons.

Deleted: trunk/debian/VBox.sh
===================================================================
--- trunk/debian/VBox.sh	2007-10-11 08:36:34 UTC (rev 78)
+++ trunk/debian/VBox.sh	2007-10-11 08:39:45 UTC (rev 79)
@@ -1,88 +0,0 @@
-#!/bin/sh
-#
-# written by Patrick Winnertz <patrick.winnertz at skolelinux.org> and
-# Michael Meskes <meskes at debian.org>
-# and placed under GPLv2
-#
-# this is based on a script by
-# InnoTek VirtualBox
-#
-# Copyright (C) 2006 InnoTek Systemberatung GmbH
-#
-# This file is part of VirtualBox Open Source Edition (OSE), as
-# available from http://www.virtualbox.org. This file is free software;
-# you can redistribute it and/or modify it under the terms of the GNU
-# General Public License as published by the Free Software Foundation,
-# in version 2 as it comes in the "COPYING" file of the VirtualBox OSE
-# distribution. VirtualBox OSE is distributed in the hope that it will
-# be useful, but WITHOUT ANY WARRANTY of any kind.
-
-PATH="/usr/bin:/bin:/usr/sbin:/sbin"
-CONFIG="/etc/vbox/vbox.cfg"
-
-if [ "$VBOX_USER_HOME" = "" ]; then
-    if [ ! -d "$HOME/.VirtualBox" ]; then
-        mkdir -p "$HOME/.VirtualBox"
-    fi
-    LOG="$HOME/.VirtualBox/VBoxSVC.log"
-else
-    if [ ! -d "$VBOX_USER_HOME" ]; then
-        mkdir -p "$VBOX_USER_HOME"
-    fi
-    LOG="$VBOX_USER_HOME/VBoxSVC.log"
-fi
-
-if [ ! -r "$CONFIG" ]; then
-    echo "Could not find VirtualBox installation. Please reinstall."
-    exit 1
-fi
-
-. "$CONFIG_DIR/$CONFIG"
-
-# Note: This script must not fail if the module was not successfully installed
-#       because the user might not want to run a VM but only change VM params!
-
-if [ ! -c /dev/vboxdrv ]; then
-    cat << EOF
-WARNING: The character device /dev/vboxdrv does not exist.
-	 Please install the virtualbox-modules package for your kernel.
-
-	 You will not be able to start VMs until this problem is fixed.
-EOF
-elif [ ! -w /dev/vboxdrv ]; then
-    if [ "`id | grep vboxusers`" = "" ]; then
-        cat << EOF
-WARNING: You are not a member of the "vboxusers" group.  Please add yourself
-         to this group before starting VirtualBox.
-
-	 You will not be able to start VMs until this problem is fixed.
-EOF
-    else
-        cat << EOF
-WARNING: /dev/vboxdrv not writable for some reason. If you recently added the
-         current user to the vboxusers group then you have to logout and
-	 re-login to take the change effect.
-
-	 You will not be able to start VMs until this problem is fixed.
-EOF
-    fi
-fi
-
-export LD_LIBRARY_PATH="$INSTALL_DIR"
-
-APP=`which $0`
-APP=${APP##/*/}
-case "$APP" in
-  virtualbox)
-    exec "$INSTALL_DIR/VirtualBox" "$@"
-  ;;
-  vboxmanage)
-    exec "$INSTALL_DIR/VBoxManage" "$@"
-  ;;
-  vboxsdl)
-    exec "$INSTALL_DIR/VBoxSDL" "$@"
-  ;;
-  *)
-    echo "Unknown application - $APP"
-  ;;
-esac

Modified: trunk/debian/changelog
===================================================================
--- trunk/debian/changelog	2007-10-11 08:36:34 UTC (rev 78)
+++ trunk/debian/changelog	2007-10-11 08:39:45 UTC (rev 79)
@@ -34,6 +34,7 @@
   * Removing not needed debhelper calls in binary-indep target in rules.
   * Moving debian/virtualbox-ose.lintian-overrides to
     debian/lintian/virtualbox-ose for consistency reasons.
+  * Moving debian/VBox.sh to debian/scripts/VBox.sh for consistency reasons.
 
  -- Daniel Baumann <daniel at debian.org>  Tue,  2 Oct 2007 13:57:00 +0200
 

Modified: trunk/debian/rules
===================================================================
--- trunk/debian/rules	2007-10-11 08:36:34 UTC (rev 78)
+++ trunk/debian/rules	2007-10-11 08:39:45 UTC (rev 79)
@@ -110,7 +110,7 @@
 
 	# Installing virtualbox
 	cp -r out/linux.*/release/bin debian/$(sname)/usr/lib/virtualbox
-	install -D -m 0755  debian/VBox.sh debian/$(sname)/usr/lib/virtualbox
+	install -D -m 0755  debian/scripts/VBox.sh debian/$(sname)/usr/lib/virtualbox
 
 	ln -s ../lib/virtualbox/VBox.sh debian/$(sname)/usr/bin/vboxmanage
 	ln -s ../lib/virtualbox/VBox.sh debian/$(sname)/usr/bin/vboxsdl

Copied: trunk/debian/scripts/VBox.sh (from rev 77, trunk/debian/VBox.sh)
===================================================================
--- trunk/debian/scripts/VBox.sh	                        (rev 0)
+++ trunk/debian/scripts/VBox.sh	2007-10-11 08:39:45 UTC (rev 79)
@@ -0,0 +1,88 @@
+#!/bin/sh
+#
+# written by Patrick Winnertz <patrick.winnertz at skolelinux.org> and
+# Michael Meskes <meskes at debian.org>
+# and placed under GPLv2
+#
+# this is based on a script by
+# InnoTek VirtualBox
+#
+# Copyright (C) 2006 InnoTek Systemberatung GmbH
+#
+# This file is part of VirtualBox Open Source Edition (OSE), as
+# available from http://www.virtualbox.org. This file is free software;
+# you can redistribute it and/or modify it under the terms of the GNU
+# General Public License as published by the Free Software Foundation,
+# in version 2 as it comes in the "COPYING" file of the VirtualBox OSE
+# distribution. VirtualBox OSE is distributed in the hope that it will
+# be useful, but WITHOUT ANY WARRANTY of any kind.
+
+PATH="/usr/bin:/bin:/usr/sbin:/sbin"
+CONFIG="/etc/vbox/vbox.cfg"
+
+if [ "$VBOX_USER_HOME" = "" ]; then
+    if [ ! -d "$HOME/.VirtualBox" ]; then
+        mkdir -p "$HOME/.VirtualBox"
+    fi
+    LOG="$HOME/.VirtualBox/VBoxSVC.log"
+else
+    if [ ! -d "$VBOX_USER_HOME" ]; then
+        mkdir -p "$VBOX_USER_HOME"
+    fi
+    LOG="$VBOX_USER_HOME/VBoxSVC.log"
+fi
+
+if [ ! -r "$CONFIG" ]; then
+    echo "Could not find VirtualBox installation. Please reinstall."
+    exit 1
+fi
+
+. "$CONFIG_DIR/$CONFIG"
+
+# Note: This script must not fail if the module was not successfully installed
+#       because the user might not want to run a VM but only change VM params!
+
+if [ ! -c /dev/vboxdrv ]; then
+    cat << EOF
+WARNING: The character device /dev/vboxdrv does not exist.
+	 Please install the virtualbox-modules package for your kernel.
+
+	 You will not be able to start VMs until this problem is fixed.
+EOF
+elif [ ! -w /dev/vboxdrv ]; then
+    if [ "`id | grep vboxusers`" = "" ]; then
+        cat << EOF
+WARNING: You are not a member of the "vboxusers" group.  Please add yourself
+         to this group before starting VirtualBox.
+
+	 You will not be able to start VMs until this problem is fixed.
+EOF
+    else
+        cat << EOF
+WARNING: /dev/vboxdrv not writable for some reason. If you recently added the
+         current user to the vboxusers group then you have to logout and
+	 re-login to take the change effect.
+
+	 You will not be able to start VMs until this problem is fixed.
+EOF
+    fi
+fi
+
+export LD_LIBRARY_PATH="$INSTALL_DIR"
+
+APP=`which $0`
+APP=${APP##/*/}
+case "$APP" in
+  virtualbox)
+    exec "$INSTALL_DIR/VirtualBox" "$@"
+  ;;
+  vboxmanage)
+    exec "$INSTALL_DIR/VBoxManage" "$@"
+  ;;
+  vboxsdl)
+    exec "$INSTALL_DIR/VBoxSDL" "$@"
+  ;;
+  *)
+    echo "Unknown application - $APP"
+  ;;
+esac




More information about the Pkg-virtualbox-commits mailing list